package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_coupon_consume")
public class CouponConsumeJlrPO {

    private Integer id;
    private Integer contract_id;
    private Integer enterprise_id;
    private Integer is_settle;
    private Integer settlement_state;
    private String  vin_code;
    private String  reparie_info;
    private String  hitch_info;
    private String  remark;
    private String  electronic_accounts;
    private Float   consume_count;
    private Date    consume_time;
    private Date    settle_time;
    private Date    create_time;
    private Date    update_time;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "contract_id")
    public Integer getContract_id() {
        return contract_id;
    }

    public void setContract_id(Integer contract_id) {
        this.contract_id = contract_id;
    }
    @Column(name = "enterprise_id")
    public Integer getEnterprise_id() {
        return enterprise_id;
    }

    public void setEnterprise_id(Integer enterprise_id) {
        this.enterprise_id = enterprise_id;
    }
    @Column(name = "is_settle")
    public Integer getIs_settle() {
        return is_settle;
    }

    public void setIs_settle(Integer is_settle) {
        this.is_settle = is_settle;
    }
    @Column(name = "settlement_state")
    public Integer getSettlement_state() {
        return settlement_state;
    }

    public void setSettlement_state(Integer settlement_state) {
        this.settlement_state = settlement_state;
    }
    @Column(name = "vin_code")
    public String getVin_code() {
        return vin_code;
    }

    public void setVin_code(String vin_code) {
        this.vin_code = vin_code;
    }
    @Column(name = "reparie_info")
    public String getReparie_info() {
        return reparie_info;
    }

    public void setReparie_info(String reparie_info) {
        this.reparie_info = reparie_info;
    }
    @Column(name = "hitch_info")
    public String getHitch_info() {
        return hitch_info;
    }

    public void setHitch_info(String hitch_info) {
        this.hitch_info = hitch_info;
    }
    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @Column(name = "electronic_accounts")
    public String getElectronic_accounts() {
        return electronic_accounts;
    }

    public void setElectronic_accounts(String electronic_accounts) {
        this.electronic_accounts = electronic_accounts;
    }
    @Column(name = "consume_count")
    public Float getConsume_count() {
        return consume_count;
    }

    public void setConsume_count(Float consume_count) {
        this.consume_count = consume_count;
    }
    @Column(name = "consume_time")
    public Date getConsume_time() {
        return consume_time;
    }

    public void setConsume_time(Date consume_time) {
        this.consume_time = consume_time;
    }
    @Column(name = "settle_time")
    public Date getSettle_time() {
        return settle_time;
    }

    public void setSettle_time(Date settle_time) {
        this.settle_time = settle_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "CouponConsumeJlrPO{" +
                "id=" + id +
                ", contract_id=" + contract_id +
                ", enterprise_id=" + enterprise_id +
                ", is_settle=" + is_settle +
                ", settlement_state=" + settlement_state +
                ", vin_code='" + vin_code + '\'' +
                ", reparie_info='" + reparie_info + '\'' +
                ", hitch_info='" + hitch_info + '\'' +
                ", remark='" + remark + '\'' +
                ", electronic_accounts='" + electronic_accounts + '\'' +
                ", consume_count=" + consume_count +
                ", consume_time=" + consume_time +
                ", settle_time=" + settle_time +
                ", create_time=" + create_time +
                ", update_time=" + update_time +
                '}';
    }
}
